package org.springblade.modules.external.ycbigdata.community.wrapper;

import org.springblade.community.building.entity.Building;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.community.vo.BuildingVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class BuildingWrapper extends BaseEntityWrapper<Building, BuildingVO> {


	public static BuildingWrapper build(){
		return new BuildingWrapper();
	}
	@Override
	public BuildingVO entityVO(Building building) {

		BuildingVO buildingVO = Objects.requireNonNull(BeanUtil.copy(building,BuildingVO.class));
		return buildingVO;
	}
}
